# std::atomic< int > Struct Template Reference
[Atomics]

Explicit specialization for int. More...

Inherits __atomic_int_base.

List of all members.

## Public Types

- typedef atomic_int __base_type
- typedef int __integral_type

## Public Member Functions

- atomic (__integral_type __i)
- atomic (const atomic &)
- atomic & operator= (const atomic &)

## Public Attributes

- int _M_i

## Detailed Description

### template<>
struct std::atomic< int >

Explicit specialization for int.

Definition at line 339 of file cstdatomic.

The documentation for this struct was generated from the following file:

- cstdatomic